classification
Title: Fix logging in unicodeless build
Type: behavior Stage: resolved
Components: Library (Lib), Tests Versions: Python 2.7
process
Status: closed Resolution: rejected
Dependencies: 21833 Superseder:
Assigned To: Nosy List: benjamin.peterson, serhiy.storchaka, vinay.sajip
Priority: normal Keywords: patch

Created on 2014-06-24 07:31 by serhiy.storchaka, last changed 2017-04-20 17:08 by serhiy.storchaka. This issue is now closed.

Files
File name Uploaded Description Edit
logging.patch serhiy.storchaka, 2014-06-24 07:31 review
Messages (4)
msg221422 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2014-06-24 07:31
Proposed patch fixes the logging module and it's tests for Python built with the --disable-unicode configure option.
msg221527 - (view) Author: Vinay Sajip (vinay.sajip) * (Python committer) Date: 2014-06-25 06:43
Tests fail with the patch applied, as requires_unicode appears not to be defined. Has it been added to test_support.py?
msg221544 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2014-06-25 12:20
requires_unicode() and u() are added in issue21833.
msg221547 - (view) Author: Vinay Sajip (vinay.sajip) * (Python committer) Date: 2014-06-25 13:25
> requires_unicode() and u() are added in #21833

Okay, but it seems like there is some contention there. I suppose this patch can wait until that is resolved and if the relevant changes are merged into the 2.7 branch.
History
Date User Action Args
2017-04-20 17:08:13serhiy.storchakasetstatus: open -> closed
resolution: rejected
stage: patch review -> resolved
2014-06-25 13:25:33vinay.sajipsetmessages: + msg221547
2014-06-25 12:20:17serhiy.storchakasetmessages: + msg221544
2014-06-25 06:43:50vinay.sajipsetmessages: + msg221527
2014-06-24 07:37:44serhiy.storchakasetdependencies: + Fix unicodeless build of Python
2014-06-24 07:31:04serhiy.storchakacreate